package com.sqx.modules.artificer.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.artificer.entity.Certification;

public interface RealNameService extends IService<Certification> {

    Result selectRealName(Long userId);

    Result updateRealName(Certification certification);

    Result selectRealNameList(Integer page, Integer limit, Integer status, String userName, String phone,Long classifyId);

    Result auditRealName(Certification certification);

    Result selectRealNameById(Long userId);

    Result retreatCashDeposit(Long userId);

    Result auditRefund(Long userId, Integer type);

    Result selectRefundCashDepositList(Integer page,Integer limit,String userName,String phone);

}
